## Delete Meter

### cURL

```
curl --request DELETE \
  --url https://api.m3ter.com/organizations/{orgId}/meters/{id} \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/meters/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/meters/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response

#### Success Codes
- **200**: The deleted Meter response.
- **4XX**: Client Errors.
- **5XX**: Server Errors.

#### JSON Response Body Examples

On successful deletion:
```json
{
  "id": "<string>",
  "version": 123,
  "customFields": {},
  "productId": "<string>",
  "groupId": "<string>",
  "name": "<string>",
  "code": "<string>",
  "dataFields": [
    {
      "code": "<string>",
      "name": "<string>",
      "unit": "<string>"
    }
  ],
  "derivedFields": [
    {
      "code": "<string>",
      "name": "<string>",
      "calculation": "<string>",
      "unit": "<string>"
    }
  ],
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

Error messages:
```json
{
  "message": "<string>"
}
```

### Authorizations

Authorization is required in the header.
- Type: `string`
- Required: `true`

m3ter supports machine-to-machine authentication using the `clientCredentials` OAuth2 flow.
